
Base Distribution - Task # 48211

Story # 44957 (New): Reliable clipboard and content element handles

Status: Resolved Priority: Should have
Author: Rens Admiraal Category:
Created: 2013-05-15 Assigned To: Rens Admiraal
Updated: 2013-07-02 Due date:
Subject: Make the handles a 'singleton'
Description

By creating just one handles bar moving around with the current node selection we can highly optimize the positioning and stability of
the handles.

Related issues:
related to Base Distribution - Work Package # 45007: Basic Accessibility of t... Accepted 2013-05-15

Associated revisions
Revision 2a9a4090 - 2013-07-02 15:39 - Rens Admiraal

[TASK] Make content editing bars singleton

This change changes the implementation of the content
element handles. Before this change the handles were
on every content element on backend load or when a
node is created.
This change introduces just one bar which is used
for all content elements and moves along with the
node selection.

This reduces the amount of DOM modifications and
event listeners needed in Neos.

Fixes: #48211

Change-Id: I04bea30cb0373286eeb57d02b5fb2a94bc1634c3

Revision 4f8909ad - 2013-07-02 21:47 - Sebastian Kurfuerst

[BUGFIX] fix creation of new content

This fixes a regression introduced by I04bea30cb0373286eeb57d02b5fb2a94bc1634c3 which made the node collection
a singleton.

Change-Id: I5e37a9fa36a2eb15f9b7974250b86ff6a109a500
Fixes: #48211

History
#1 - 2013-05-17 17:57 - Tim Kandel
- Status changed from New to Accepted
- Target version changed from Sprint February 2013 to 1.0 beta 1
#2 - 2013-07-01 18:50 - Gerrit Code Review

Patch set 6 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20887

#3 - 2013-07-01 18:51 - Rens Admiraal
- % Done changed from 0 to 100

#4 - 2013-07-02 11:05 - Gerrit Code Review

Patch set 7 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20887

#5 - 2013-07-02 14:04 - Gerrit Code Review

Patch set 8 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20887

#6 - 2013-07-02 15:40 - Gerrit Code Review

Patch set 9 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/20887

#7 - 2013-07-02 16:36 - Rens Admiraal
- Status changed from Accepted to Resolved

Applied in changeset commit:2a9a40909c4260c79ade7bbbc18090bdb009b0dc.

#8 - 2013-07-02 21:47 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/21820
